Compare commits

...

3 Commits

Author SHA1 Message Date
thetechprepper b9fbeb3ddf Attempt to fix the VOACAP installation script. 2025-09-02 14:22:19 -07:00
thetechprepper fe4b95a123 tx-500mp - Added additional notes to TX-500MP configuration 2025-09-02 12:17:40 -07:00
thetechprepper 32e6806394 tx-500mp - Added temporary CAT/audio support using the on-board CAT and DigiRig Lite for audio 2025-09-02 09:44:07 -07:00
4 changed files with 105 additions and 15 deletions
@@ -0,0 +1,31 @@
# Author : Gaston Gonzalez
# Date : 1 September 2025
# Updated : 2 September 2025
# Purpose : udev rules for the TX-500MP
#
# Preconditions:
# 1. Lab599 TX-500MP (DigiRig Lite) is selected via et-radio
# 2. Lan599 TX-500MP is connected via USB-A cable
#
# Postconditions:
# 1. /dev/et-cat created
# 2. /dev/et-audio created
# 3. rigctld is started
#
KERNEL=="ttyUSB[0-9]*", SUBSYSTEM=="tty", PROGRAM="/opt/emcomm-tools/sbin/udev-tester.sh lab599-tx500mp", \
ENV{ET_DEVICE}="TX-500MP"
# CAT control device will only match if PROGRAM above matches (exit status=0)
SUBSYSTEM=="tty", ENV{ET_DEVICE}=="TX-500MP", \
ATTRS{idVendor}=="0403", ATTRS{idProduct}=="6001",\
ACTION=="add", \
ENV{ET_SUBDEVICE}="CAT", GROUP="dialout", MODE="0660", SYMLINK+="et-cat", \
RUN+="/usr/bin/systemctl start rigctld"
# Audio device will only match if PROGRAM above matches (exit status=0)
#SUBSYSTEM=="sound", ATTRS{idVendor}=="0d8c", ATTRS{idProduct}=="0016", \
# PROGRAM="/opt/emcomm-tools/sbin/udev-tester.sh yaesu-ftx1", \
# ACTION=="add", \
# ENV{ET_DEVICE}="FTX-1", \
# ATTR{id}="ET_AUDIO", \
# ENV{ET_SUBDEVICE}="AUDIO", GROUP="audio", MODE="0660", SYMLINK+="et-audio"
@@ -0,0 +1,26 @@
{
"id": "lab599-tx500mp",
"vendor": "Lab599",
"model": "TX-500MP (DigiRig Lite)",
"rigctrl": {
"id": "2014",
"baud": "9600",
"ptt": "NONE",
"pttOnly": "false"
},
"notes": [
"1. Set MENU 36 CAT PROTOCOL = TS2000",
"2. Set MODE = DIGI",
"3. Plug-in CAT cable",
"4. Plug-in DigiRig Lite",
"5. Run 'alsamixer' command",
" a. Press [F5]",
" b. Press [F6] and select USB Audio Device",
" c. Set speaker to 97% with up/down arrow keys",
"",
"Do not enable VOX on radio"
],
"fieldNotes": [
]
}
+22 -1
View File
@@ -1,7 +1,7 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 11 October 2024
# Updated : 21 May 2025
# Updated : 1 September 2025
# Purpose : Perform tests that can be used by the udev subsystem to aid
# in rule development. This is intended to by used with the PROGRAM
# directive inside of a udev rule.
@@ -13,6 +13,20 @@
ET_HOME=/opt/emcomm-tools
ACTIVE_RADIO="${ET_HOME}/conf/radios.d/active-radio.json"
# Exit with a 0 exit status if, and only if, the currently selected radio is
# a Lab599 TX-500MP.
test_lab599_tx500mp() {
if [[ -L "${ET_HOME}/conf/radios.d/active-radio.json" ]]; then
ID=$(cat "${ET_HOME}/conf/radios.d/active-radio.json" | jq -r .id)
if [[ "$ID" == "lab599-tx500mp" ]]; then
exit 0
fi
fi
exit 1
}
# Exit with a 0 exit status if, and only if, the currently selected radio is
# a Yaesu FTX-1.
test_yaesu_ftx1() {
@@ -107,6 +121,13 @@ case $1 in
;;
digirig-mobile)
test_digirig_mobile
;;
lab599-tx500mp)
test_lab599_tx500mp
;;
*)
echo "$1 is not supported."
;;
esac
exit 1
+26 -14
View File
@@ -1,8 +1,8 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 5 June 2023
# Updated : 16 August 2025
# Purpose : Install Dire Wolf
# Updated : 2 September 2025
# Purpose : Install voacapl
#
# References:
# 1. https://github.com/jawatson/voacapl
@@ -13,32 +13,44 @@ trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
. ../overlay/opt/emcomm-tools/bin/et-common
APP=voacapl
VERSION=0.7.6
REPO=https://github.com/thetechprepper/voacapl
REPO_SRC_DIR="/opt/src/${APP}"
DOWNLOAD_FILE=voacapl-master.zip
INSTALL_DIR="/opt/${APP}-${VERSION}"
LINK_PATH="/opt/${APP}"
et-log "Installing voacapl build dependencies..."
apt install gfortran -y
[[ ! -e ${ET_SRC_DIR} ]] && mkdir ${ET_SRC_DIR}
if [[ ! -e ${ET_DIST_DIR}/${DOWNLOAD_FILE} ]]; then
URL="https://github.com/thetechprepper/voacapl/archive/refs/heads/master.zip"
et-log "Downloading ${APP}: ${URL}"
download_with_retries ${URL} ${DOWNLOAD_FILE}
mv -v ${DOWNLOAD_FILE} ${ET_DIST_DIR}
fi
CWD_DIR=`pwd`
if [[ ! -e ${REPO_SRC_DIR} ]]; then
cd ${ET_SRC_DIR} && git clone ${REPO}
# Only build once
if [[ ! -e "${ET_SRC_DIR}/${APP}/${BIN_FILE}" ]]; then
cd ${ET_SRC_DIR}
unzip -o ${ET_DIST_DIR}/${DOWNLOAD_FILE}
cd voacapl-master
et-log "Building ${APP}.."
./configure --prefix=${INSTALL_DIR}
make && make install
# patch prefix location
sed -i 's|__PREFIX__|/opt/voacapl-0.7.6|' makeitshfbc
fi
cd ${REPO_SRC_DIR}
./configure --prefix=${INSTALL_DIR}
make && make install
# patch prefix location
sed -i 's|__PREFIX__|/opt/voacapl-0.7.6|' makeitshfbc
[[ -e /root/itshfbc ]] && rm -rf /root/itshfbc
[[ -e /etc/skel/itshfbc ]] && rm -rf /etc/skel/itshfbc